<?php
/**
 * @version		1.0
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2010 Perfect-Web. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Custom meta tags
 *
 * @package		Joomla
 * @subpackage	Content
 * @since 		1.5
 */
class plgContentFBLinkContentImage extends JPlugin
{

	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param object $subject The object to observe
	 * @param object $params  The object that holds the plugin parameters
	 * @since 1.5
	 */
	function plgContentFBLinkContentImage( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	/**
	 * Example before display content method
	 *
	 * Method is called by the view and the results are imploded and displayed in a placeholder
	 *
	 * @param 	object		The article object.  Note $article->text is also available
	 * @param 	object		The article params
	 * @param 	int			The 'page' number
	 * @return	string
	 */
	function onPrepareContent( &$article, &$params, $limitstart )
	{
		global $mainframe;
		
		$document = &JFactory::getDocument();
		
		preg_match('/src=[\\"\']?([^\\"\']?.*\.(png|jpg|gif))[\\"\']?/i', $article->text, $image);
		
		if (array_key_exists(1, $image)) {
			$href = $image[1];
			if (substr($image[1], 0, 7) != 'http://') $href = JURI::base().$href;
			$document->addCustomTag('<meta property="og:image" content="'.$href.'" />');
			
		}

	}

}
